diff -urN -x .git orig/cmake/BundledOSSPUUID.cmake patched/cmake/BundledOSSPUUID.cmake
--- orig/cmake/BundledOSSPUUID.cmake	2020-08-07 21:58:34.660773928 +0900
+++ patched/cmake/BundledOSSPUUID.cmake	2020-08-07 22:05:57.404772993 +0900
@@ -22,7 +22,9 @@
 
     # Define patch step
     find_package(Patch REQUIRED)
-    set(PC "${Patch_EXECUTABLE}" -p1 -i "${SOURCE_DIR}/thirdparty/ossp-uuid/ossp-uuid-mac-fix.patch")
+    set(PATCH1 "${Patch_EXECUTABLE}" -p1 -i "${SOURCE_DIR}/thirdparty/ossp-uuid/ossp-uuid-mac-fix.patch")
+    set(PATCH2 "${Patch_EXECUTABLE}" -p1 -i "${SOURCE_DIR}/thirdparty/ossp-uuid/ossp-uuid-cross-compile-fix.patch")
+    set(PATCH3 "${Patch_EXECUTABLE}" -p1 -i "${SOURCE_DIR}/thirdparty/ossp-uuid/ossp-uuid-musl-compile-fix.patch")
 
     # Define byproducts
     set(BYPRODUCTS "lib/libuuid.a"
@@ -35,7 +37,9 @@
     ENDFOREACH(BYPRODUCT)
 
     # Build project
-    set(CONFIGURE_COMMAND ./configure "CFLAGS=-fPIC" "CXXFLAGS=-fPIC" --with-cxx --without-perl --without-php --without-pgsql "--prefix=${BINARY_DIR}/thirdparty/ossp-uuid-install")
+    set(CONFIGURE_COMMAND ac_cv_va_copy=C99 ./configure CFLAGS=-fPIC CXXFLAGS=-fPIC --host=${HOST_SYS}
+        --with-cxx --without-perl --without-php --without-pgsql
+        --prefix=${BINARY_DIR}/thirdparty/ossp-uuid-install)
     string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type)
     if(NOT build_type MATCHES debug)
         list(APPEND CONFIGURE_COMMAND --enable-debug=yes)
@@ -52,8 +56,8 @@
             UPDATE_COMMAND ""
             INSTALL_COMMAND make install
             BUILD_BYPRODUCTS ${OSSPUUID_LIBRARIES_LIST}
-            CONFIGURE_COMMAND ""
-            PATCH_COMMAND ${PC} && ${CONFIGURE_COMMAND}
+            CONFIGURE_COMMAND ${CONFIGURE_COMMAND}
+            PATCH_COMMAND ${PATCH1} && ${PATCH2} && ${PATCH3}
             STEP_TARGETS build
             EXCLUDE_FROM_ALL TRUE
     )
